classification
Title: base64 module docs should indicate that encode methods return bytes, not strings
Type: enhancement Stage:
Components: Documentation Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Justin.Lebar, docs@python, flox, georg.brandl
Priority: normal Keywords:

Created on 2010-01-28 05:40 by Justin.Lebar, last changed 2010-08-02 20:39 by georg.brandl. This issue is now closed.

Messages (2)
msg98458 - (view) Author: Justin Lebar (Justin.Lebar) Date: 2010-01-28 05:40
It's not at all clear from the documentation that base64.base64encode() and its kin return bytes, rather than strings.  Since this matters now, the docs should be clear on this point.

http://docs.python.org/3.1/library/base64.html
msg112538 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-02 20:39
Thanks, fixed in r83569.
History
Date User Action Args
2010-08-02 20:39:41georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg112538
2010-07-10 15:10:29BreamoreBoysetassignee: georg.brandl -> docs@python

nosy: + docs@python
2010-01-28 17:24:14floxsetpriority: normal
nosy: + flox
2010-01-28 05:40:32Justin.Lebarcreate